<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__pf__ol__cfg__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_pf_ol_cfg_t</compoundname>
    <includes local="no">cy_lpa_wifi_pf_ol.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__pf__ol__cfg__t_1ad05225c631490dd3b7a2fd8246db5d66" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__lpa__enums_1gace0edf60e8d895921d04049cd6b3eefe">cy_pf_feature_t</ref></type>
        <definition>cy_pf_feature_t cy_pf_ol_cfg_t::feature</definition>
        <argsstring />
        <name>feature</name>
        <briefdescription>
<para>Type of filter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" bodystart="111" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" line="111" />
      </memberdef>
      <memberdef id="structcy__pf__ol__cfg__t_1a100ee622db376958b1ba24e114fd2bb9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_pf_ol_cfg_t::bits</definition>
        <argsstring />
        <name>bits</name>
        <briefdescription>
<para>Various on/off options applicable to all types of packet filters. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" bodystart="117" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" line="117" />
      </memberdef>
      <memberdef id="structcy__pf__ol__cfg__t_1a5be6ec05952a01857c89018012cf2574" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_pf_ol_cfg_t::id</definition>
        <argsstring />
        <name>id</name>
        <briefdescription>
<para>Each filter is fiven a unique 8 bit identifier. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" bodystart="118" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" line="118" />
      </memberdef>
      <memberdef id="structcy__pf__ol__cfg__t_1aa9802e6b0478279eee94213835fc2173" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__pf__pn__cfg__t">cy_pf_pn_cfg_t</ref></type>
        <definition>cy_pf_pn_cfg_t cy_pf_ol_cfg_t::pf</definition>
        <argsstring />
        <name>pf</name>
        <briefdescription>
<para>Port filter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" bodystart="122" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" line="122" />
      </memberdef>
      <memberdef id="structcy__pf__ol__cfg__t_1ac483ab624a58dd622c849221bd6d2077" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__pf__ethtype__cfg__t">cy_pf_ethtype_cfg_t</ref></type>
        <definition>cy_pf_ethtype_cfg_t cy_pf_ol_cfg_t::eth</definition>
        <argsstring />
        <name>eth</name>
        <briefdescription>
<para>Eth_type filter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" bodystart="123" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" line="123" />
      </memberdef>
      <memberdef id="structcy__pf__ol__cfg__t_1a7f55d2ae11f266560d578f9bd8da9731" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__pf__ip__cfg__t">cy_pf_ip_cfg_t</ref></type>
        <definition>cy_pf_ip_cfg_t cy_pf_ol_cfg_t::ip</definition>
        <argsstring />
        <name>ip</name>
        <briefdescription>
<para>IP type filter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" bodystart="124" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" line="124" />
      </memberdef>
      <memberdef id="structcy__pf__ol__cfg__t_1a836a44ee62c168b8c0f6651abde969bf" kind="variable" mutable="no" prot="public" static="no">
        <type>union cy_pf_ol_cfg_t::@0</type>
        <definition>union cy_pf_ol_cfg_t::@0  cy_pf_ol_cfg_t::u</definition>
        <argsstring />
        <name>u</name>
        <briefdescription>
<para>Individual filter types. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" line="125" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Single union to describe all packet filters. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="13">
        <label>cy_pf_ol_cfg_t</label>
        <link refid="structcy__pf__ol__cfg__t" />
        <childnode refid="14" relation="usage">
          <edgelabel>ip</edgelabel>
        </childnode>
        <childnode refid="15" relation="usage">
          <edgelabel>eth</edgelabel>
        </childnode>
        <childnode refid="16" relation="usage">
          <edgelabel>pf</edgelabel>
        </childnode>
      </node>
      <node id="17">
        <label>cy_pf_port_t</label>
        <link refid="structcy__pf__port__t" />
      </node>
      <node id="14">
        <label>cy_pf_ip_cfg_t</label>
        <link refid="structcy__pf__ip__cfg__t" />
      </node>
      <node id="16">
        <label>cy_pf_pn_cfg_t</label>
        <link refid="structcy__pf__pn__cfg__t" />
        <childnode refid="17" relation="usage">
          <edgelabel>portnum</edgelabel>
        </childnode>
      </node>
      <node id="15">
        <label>cy_pf_ethtype_cfg_t</label>
        <link refid="structcy__pf__ethtype__cfg__t" />
      </node>
    </collaborationgraph>
    <location bodyend="126" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" bodystart="109" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" line="110" />
    <listofallmembers>
      <member prot="public" refid="structcy__pf__ol__cfg__t_1a100ee622db376958b1ba24e114fd2bb9" virt="non-virtual"><scope>cy_pf_ol_cfg_t</scope><name>bits</name></member>
      <member prot="public" refid="structcy__pf__ol__cfg__t_1ac483ab624a58dd622c849221bd6d2077" virt="non-virtual"><scope>cy_pf_ol_cfg_t</scope><name>eth</name></member>
      <member prot="public" refid="structcy__pf__ol__cfg__t_1ad05225c631490dd3b7a2fd8246db5d66" virt="non-virtual"><scope>cy_pf_ol_cfg_t</scope><name>feature</name></member>
      <member prot="public" refid="structcy__pf__ol__cfg__t_1a5be6ec05952a01857c89018012cf2574" virt="non-virtual"><scope>cy_pf_ol_cfg_t</scope><name>id</name></member>
      <member prot="public" refid="structcy__pf__ol__cfg__t_1a7f55d2ae11f266560d578f9bd8da9731" virt="non-virtual"><scope>cy_pf_ol_cfg_t</scope><name>ip</name></member>
      <member prot="public" refid="structcy__pf__ol__cfg__t_1aa9802e6b0478279eee94213835fc2173" virt="non-virtual"><scope>cy_pf_ol_cfg_t</scope><name>pf</name></member>
      <member prot="public" refid="structcy__pf__ol__cfg__t_1a836a44ee62c168b8c0f6651abde969bf" virt="non-virtual"><scope>cy_pf_ol_cfg_t</scope><name>u</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>